/*************************************************************************
 *                                                                       *
 *  KDu - KDisk Free V0.9.1                                              *
 *                                                                       *
 * Copyright(c) 1998-99 Christian Poulter.                               *
 *                                                                       *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation - version 2.                             *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License in file COPYING for more details.          *
 *                                                                       *
 * You should have received a copy of the GNU General Public License     *
 * along with this program; if not, write to the Free Software           *
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             *
 *                                                                       *
 *  On the Net at http://www.wilhelmshaven-online.de/benutzer/cpoulter   *
 *  Email to cpoulter@wilhelmshaven-online.de                            *
 *  E-Mail will change soon!!                                            *
 *  You should try virtual-dynamics@gmx.net                              *
 *                                                                       *
 *************************************************************************/

#ifndef PAGE_H
#define PAGE_H

#include "diskdata.h"

#include <kapp.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qpushbt.h>
#include <ktablistbox.h>
#include <qlined.h>

class Page:public QWidget{
	Q_OBJECT
public:
	Page(QWidget *parent=0, diskData *sum=0);
	~Page();
	void 		resizeEvent(QResizeEvent *);
	void 		getDiskValues();
	void 		setPath();
	QString		fitSize(float s,bool c);
	QString		path;

private:
	QLabel		*disksymbol;
	QLabel		*diskname;
	QLabel		*disktyp;
	QLabel		*usedmem;
	QLabel		*freemem;
	QLabel		*header;
	QLabel		*usedmemi;
	QLabel		*freememi;
	QLabel		*grafik;
	QLabel		*diskinfo;
	diskData	*dd;

private slots:
	void paintEvent(QPaintEvent *);
};

#endif PAGE_H

